Validate an address with Avalara service.
1 min
POST
https://app.amberflo.io/integration/tax/address/avalara
Body Parameters
- bodycom.amberflo.integration.tax.AddressValidationRequest.in
- accountDetailcom.amberflo.integration.tax.AccountIntegrationDetail.inrequiredDescription
- usernamestringDescription
- passwordstringDescription
- companyCodestringDescription
- environmentstringDescription
- addresscom.amberflo.integration.tax.Address.inrequiredDescription
- countrystringrequired
- postalCodestring
- statestring
- citystringrequired
- line1stringrequired
Responses
200
- com.amberflo.integration.tax.AddressValidationResponse.out
- addressescom.amberflo.integration.tax.Address.out[]Description
- countrystringrequired
- postalCodestring
- statestring
- citystringrequired
- line1stringrequired
- messagecom.amberflo.service.common.log_message.LogMessage.outDescription
- levelcom.amberflo.service.common.log_message.MessageLevel.out
- codecom.amberflo.service.common.log_message.MessageCode.out
- messagestring
curl
curl --request POST \
--url https://app.amberflo.io/integration/tax/address/avalara \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"accountDetail": {},
"address": {
"country": "",
"city": "",
"line1": ""
}
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"accountDetail": {},
"address": {
"country": "",
"city": "",
"line1": ""
}
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://app.amberflo.io/integration/tax/address/avalara", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/integration/tax/address/avalara")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"accountDetail": {},
"address": {
"country": "",
"city": "",
"line1": ""
}
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/integration/tax/address/avalara"
payload = json.dumps({
"accountDetail": {},
"address": {
"country": "",
"city": "",
"line1": ""
}
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"addresses": [
{
"country": "",
"postalCode": "",
"state": "",
"city": "",
"line1": ""
}
],
"message": {
"level": "",
"code": "",
"message": ""
}
}